button {
    position: relative;
    top: 0;
    transition: all ease 0.5s;
    text-decoration: none;
    background-color: transparent;
    border-radius: 0.4rem;
    padding: 1rem;
    cursor: pointer;
    font-size: larger;
}

button:hover {
    top: +5px;
    background-color:white;
    color: rgb(0, 0, 44);
}

button:active {
    transform: scale(0.9);
    
}

ul {
  list-style-type: none;
}

h2 {
    color: darkcyan;
}

h2:hover {
    color:cadetblue;
}


body {
    font-family: monospace;
    font-size: larger;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}



.hidden {
    display: none !important;
}

.btn-white {
    border: solid aliceblue;
    color: aliceblue;
}

.btn-darkblue {
    border: solid darkblue;
    color: white;
    background-color: darkblue;
}

.background-color-white {
    background-color: white;
}

.background-color-darkblue {
    background-color: rgb(0, 0, 44);
}

.background-color-blue {
    background-color:darkblue;
}

.color-white {
    color: white;
}

.strong-cornflowerblue-highlight {
    background-color: none;
    color: cornflowerblue;
    font-weight: bold;
}

.text-indent1 {
    text-indent: 2rem;
}

.text-align-center {
    text-align: center;
}

.d-flex {
    display: flex;
}

.justify-content-center {
    justify-content: center;
}

.justify-content-space-around {
    justify-content: space-between;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-column {
    flex-direction: column;
}

.align-items-center {
    align-items: center;
}

.margin-3 {
    margin: 3rem;
}

.margin-right-05 {
    margin-right: 0.5rem;
}

.padding-1 {
    padding: 1rem;
}

.padding-3 {
    padding: 3rem;
}

.padding-top-4 {
    padding-top: 4rem;
}

.gap {
    gap: 4rem;
}

/* LINKS */

.link-lightblue {
    text-decoration: none;
    background: 
    linear-gradient(to right, rgba(100, 200, 200, 1), rgba(100, 200, 200, 1)),
    linear-gradient(to right, rgba(0, 100, 200, 1));
    background-size: 100% 0em, 0 0.1em;
    background-position: 100% 100%, 0 100%;
    background-repeat: no-repeat;
    transition: background-size 400ms;
    color: white;
}

.link-lightblue:hover {
    background-size: 0 0.1em, 100% 0.1em;
    cursor: pointer;
}

.link-white {
    background: 
    linear-gradient(to right, rgb(255, 255, 255), rgb(255, 255, 255)),
    linear-gradient(to right, rgb(255, 255, 255));
    background-size: 100% 0em, 0 0.1em;
    background-position: 100% 100%, 0 100%;
    background-repeat: no-repeat;
    transition: background-size 400ms;
    text-decoration: none;
    color: white;
    transition: all ease 0.5s;
}

.link-white:hover {
    background-size: 0 0.1em, 100% 0.1em;
    cursor: pointer;
}

/* PROJECT CARDS */

.project-card {
    border-radius: 1rem;
    transition: all ease 0.5s;
    position: relative;
    width: 20rem;
}

.project-card-text {
    display: none;
}

.project-card:hover {
    background-color:rgb(78, 79, 172);
    color: white;
    border-radius: 1rem;
    transform: translateY(+10px);
}

.project-card:hover a {
    text-decoration: none;
}

.project-card:hover a strong {
    color: rgb(42, 165, 144);
}

.project-card:hover .project-card-text {
    display: block;
}


.project-img {
    width: 100%;
}

@media (max-width: 600px) {
  main section {
    display: flex;
    flex-wrap: wrap;
  }

  nav {
    box-sizing: content-box;
  }


}